import settings from '@/settings'
import request from '@/utils/request'
const systemPrefix = settings.systemPrefix



export function getRelationInfoNoList(params) {
    return request(`${systemPrefix}/system/select/options/relationInfoNo.do`, {
        method: 'post',
        data: params,
        requestType: 'form',
    })
}

export function getDepartTreeData(params) {
    return request(`${systemPrefix}/im/dhc/sys/automake/system/department/ReportTreeDataController.do`, {
        method: 'post',
        data: params,
        requestType: 'form',

    })
}

export function searchTreePanelDataByNodeId(params) {
    return request(`${systemPrefix}/system/common/action/searchTreePanelDataByNodeId`, {
        method: 'post',
        data: params,
        requestType: 'form',
    })
}
export function getSearchResultByNodeId(params) {
    return request(`${systemPrefix}/system/common/action/searchTreePanelDataByNodeId`, {
        method: 'post',
        data: params,
        requestType: 'form',
    })
}


export function fetchSobTreeData(params) {
    return request(`${systemPrefix}/im/dhc/zz/automake/zzmanage/accounting_manager/generalAccount_manager/ComDepartSobTreeController.do`, {
        method: 'post',
        data: params,
        requestType: 'form',
    })
}

export function fetchItemTreeData(params) {
    return request(`${systemPrefix}/im/dhc/zz/automake/zzmanage/comitem_manager/ComModItemInfoQueryController`, {
        method: 'post',
        data: params,
        requestType: 'form',
    })
}
